# Uses of Class
net.shibboleth.idp.session.SPSessionSerializerRegistry

Packages that use SPSessionSerializerRegistry
Package
Description
net.shibboleth.idp.session.impl
Implementations of session-related classes and interfaces.

## Uses of SPSessionSerializerRegistry in net.shibboleth.idp.session.impl

Fields in net.shibboleth.idp.session.impl declared as SPSessionSerializerRegistry
Modifier and Type
Field
Description
`private SPSessionSerializerRegistry`
PopulateLogoutPropagationContext.`spSessionSerializerRegistry`
Mappings between a SPSession type and a serializer implementation.
`private SPSessionSerializerRegistry`
StorageBackedSessionManager.`spSessionSerializerRegistry`
Mappings between a SPSession type and a serializer implementation.
Methods in net.shibboleth.idp.session.impl that return SPSessionSerializerRegistry
Modifier and Type
Method
Description
`SPSessionSerializerRegistry`
StorageBackedSessionManager.`getSPSessionSerializerRegistry()`
Get the attached `SPSessionSerializerRegistry`.
Methods in net.shibboleth.idp.session.impl with parameters of type SPSessionSerializerRegistry
Modifier and Type
Method
Description
`void`
PopulateLogoutPropagationContext.`setSPSessionSerializerRegistry(SPSessionSerializerRegistry registry)`
Set the `SPSessionSerializerRegistry` to use.
`void`
StorageBackedSessionManager.`setSPSessionSerializerRegistry(SPSessionSerializerRegistry registry)`
Set the `SPSessionSerializerRegistry` to use.